#!/bin/bash
set -euo pipefail

. "$DATA_DIR/.env"
webdav_url="$(echo "$NC_SHARE_LINK" | sed 's#/s/.*#/public.php/webdav/#')"
webdav_user="$(echo "$NC_SHARE_LINK"  |sed 's#.*/s/##')"
webdav_pass="$(rclone obscure "$NC_SHARE_PASSWORD")"

# Get website files
git_update.sh -d "$HTTP_DIR" "$GIT_SOURCE_REPO"

# Get content from nextcloud
rclone sync --webdav-url="$webdav_url" --webdav-user="$webdav_user" --webdav-pass="$webdav_pass" --webdav-vendor=nextcloud :webdav: "$HTTP_DIR/$CLOUD_LOCAL_PATH"

# Go to website
cd "$HTTP_DIR"

# Rename .attachement dirs created by nextcloud
while read filename ; do    
    oldname="$(basename "$filename")"    
    newname="${oldname:1}"    
    path="$(dirname "$filename")"    
    # And rename their references in md files  
    find -type f -iname '*.md' -exec sed -i "s/$oldname/$newname/g" {} \;    
    mv "$path/$oldname" "$path/$newname"    
done < <(find -type d -name '.attachments.*')

# Build the website
hugo
